Bug 1119482 - [abrt] kdelibs: handle_error(): kdeinit4 killed by SIGTRAP
Summary: [abrt] kdelibs: handle_error(): kdeinit4 killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:89bb4561929b06417428e273092...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 21:21 UTC by Paul Findlay
Modified: 2015-06-29 21:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:35:18 UTC


Attachments (Terms of Use)
File: backtrace (89.08 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: cgroup (181 bytes, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: core_backtrace (20.86 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: dso_list (22.75 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: environ (1.34 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: maps (114.75 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: open_fds (2.26 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details
File: var_log_messages (1.08 KB, text/plain)
2014-07-14 21:22 UTC, Paul Findlay
no flags Details

Description Paul Findlay 2014-07-14 21:21:54 UTC
Description of problem:
This crashed while running in the background

Version-Release number of selected component:
kdelibs-4.12.5-4.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        'kdeinit4: konqueror [kdeinit] -mimetype text/' '' ''
crash_function: handle_error
executable:     /usr/bin/kdeinit4
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #6 XGetWindowProperty at GetProp.c:69
 #7 NETWinInfo::update at /usr/src/debug/kdelibs-4.12.5/kdeui/windowmanagement/netwm.cpp:3962
 #8 NETWinInfo::event at /usr/src/debug/kdelibs-4.12.5/kdeui/windowmanagement/netwm.cpp:3925
 #9 KWindowSystemPrivate::x11Event at /usr/src/debug/kdelibs-4.12.5/kdeui/windowmanagement/kwindowsystem_x11.cpp:216
 #10 publicX11Event at /usr/src/debug/kdelibs-4.12.5/kdeui/kernel/ksystemeventfilter.cpp:43
 #11 KSystemEventFilterPrivate::filterEvent at /usr/src/debug/kdelibs-4.12.5/kdeui/kernel/ksystemeventfilter.cpp:102
 #12 QAbstractEventDispatcher::filterEvent at kernel/qabstracteventdispatcher.cpp:542
 #13 x11EventSourceDispatch at kernel/qguieventdispatcher_glib.cpp:145
 #17 g_main_context_iteration at gmain.c:3774

Comment 1 Paul Findlay 2014-07-14 21:22:00 UTC
Created attachment 917987 [details]
File: backtrace

Comment 2 Paul Findlay 2014-07-14 21:22:01 UTC
Created attachment 917988 [details]
File: cgroup

Comment 3 Paul Findlay 2014-07-14 21:22:03 UTC
Created attachment 917989 [details]
File: core_backtrace

Comment 4 Paul Findlay 2014-07-14 21:22:05 UTC
Created attachment 917990 [details]
File: dso_list

Comment 5 Paul Findlay 2014-07-14 21:22:06 UTC
Created attachment 917991 [details]
File: environ

Comment 6 Paul Findlay 2014-07-14 21:22:07 UTC
Created attachment 917992 [details]
File: limits

Comment 7 Paul Findlay 2014-07-14 21:22:11 UTC
Created attachment 917993 [details]
File: maps

Comment 8 Paul Findlay 2014-07-14 21:22:13 UTC
Created attachment 917994 [details]
File: open_fds

Comment 9 Paul Findlay 2014-07-14 21:22:14 UTC
Created attachment 917995 [details]
File: proc_pid_status

Comment 10 Paul Findlay 2014-07-14 21:22:15 UTC
Created attachment 917996 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:22:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:35:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.